From 0120fa422a89e1d87b3e29ec29f52c5c6379d7ae Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 2 Apr 2021 09:23:42 -0500
Subject: [PATCH 05/27] WIP: doc review: Add DECLARE STATEMENT command to ECPG

declared
ad8305a43d1890768a613d3fb586b44f17360f29
---
 doc/src/sgml/ecpg.sgml             | 16 ++++++++--------
 src/backend/tsearch/spell.c        |  2 +-
 src/interfaces/ecpg/preproc/ecpg.c |  2 +-
 3 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/doc/src/sgml/ecpg.sgml b/doc/src/sgml/ecpg.sgml
index 56f5d9b5db..8f2908823a 100644
--- a/doc/src/sgml/ecpg.sgml
+++ b/doc/src/sgml/ecpg.sgml
@@ -354,14 +354,14 @@ current=testdb1 (should be testdb1)
   </para>
 
   <para>
-  The third option is to declare sql identifier linked to
+  The third option is to declare a SQL identifier linked to
   the connection, for example:
 <programlisting>
 EXEC SQL AT <replaceable>connection-name</replaceable> DECLARE <replaceable>statement-name</replaceable> STATEMENT;
 EXEC SQL PREPARE <replaceable>statement-name</replaceable> FROM :<replaceable>dyn-string</replaceable>;
 </programlisting>
-   Once you link a sql identifier to a connection, you execute a dynamic SQL
-   without AT clause. Note that this option behaves like preprocessor directives,
+   Once you link a SQL identifier to a connection, you execute dynamic SQL
+   without an AT clause. Note that this option behaves like preprocessor directives,
    therefore the link is enabled only in the file.
   </para>
   <para>
@@ -6911,14 +6911,14 @@ EXEC SQL [ AT <replaceable class="parameter">connection_name</replaceable> ] DEC
     <title>Description</title>
 
     <para>
-     <command>DECLARE STATEMENT</command> declares SQL statement identifier.
+     <command>DECLARE STATEMENT</command> declares a SQL statement identifier.
      SQL statement identifier can be associated with the connection.
-     When the identifier is used by dynamic SQL statements, these SQLs are executed
-     by using the associated connection.
+     When the identifier is used by dynamic SQL statements, the statements are executed
+     using the associated connection.
      The namespace of the declaration is the precompile unit, and multiple declarations to
-     the same SQL statement identifier is not allowed.
+     the same SQL statement identifier are not allowed.
 
-     Note that if the precompiler run in the Informix compatibility mode and some SQL statement
+     Note that if the precompiler runs in Informix compatibility mode and some SQL statement
      is declared, "database" can not be used as a cursor name.
     </para>
    </refsect1>
diff --git a/src/backend/tsearch/spell.c b/src/backend/tsearch/spell.c
index 68160bd592..ebc89604ac 100644
--- a/src/backend/tsearch/spell.c
+++ b/src/backend/tsearch/spell.c
@@ -2020,7 +2020,7 @@ NISortAffixes(IspellDict *Conf)
 						 (const unsigned char *) Affix->repl,
 						 (ptr - 1)->len))
 			{
-				/* leave only unique and minimals suffixes */
+				/* leave only unique and minimal suffixes */
 				ptr->affix = Affix->repl;
 				ptr->len = Affix->replen;
 				ptr->issuffix = issuffix;
diff --git a/src/interfaces/ecpg/preproc/ecpg.c b/src/interfaces/ecpg/preproc/ecpg.c
index ee2fa51588..9d861b428b 100644
--- a/src/interfaces/ecpg/preproc/ecpg.c
+++ b/src/interfaces/ecpg/preproc/ecpg.c
@@ -375,7 +375,7 @@ main(int argc, char *const argv[])
 				}
 				cur = NULL;
 
-				/* remove old delared statements if any are still there */
+				/* remove old declared statements if any are still there */
 				for (list = g_declared_list; list != NULL;)
 				{
 					struct declared_list *this = list;
-- 
2.17.0

